<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//用户登陆入口
class LoginAction extends Action{

	public function logout(){
		$user = D("user");
		$user->logout();
		$this->msg('退出成功');
	}

		//登陆界面
	public function index(){
		$info = D("set")->list_one("webname, keyword, description, copyright");
		$this->assign('info', $info);
		$this->display();
	}
		//检测数据是否合法
	public function check($post){
		$rs = true;
		if(!preg_match('/^\S+$/i', $post['user'])){
			$this->msg("用户名不能为空!");
			$rs = false;
		}

		if(!preg_match('/^\S+$/i', $post['passwd'])){
			$this->msg("密码不能为空!");
			$rs = false;
		}

		return $rs;

	}
		//检测用户登陆
	public function slogin(){
		if(!empty($_POST['code'])){
			if($this->check($_POST)){
				$user = D("user");
				$result = $user->login($_POST['user'], $_POST['passwd']);
				if(!$result){
					$this->msg('用户名或密码错误，请重新输入');
				}else if($result == 2){
					$this->jump("index/index");
				}else{
					$this->msg('抱歉，该账号已被禁止使用！');
				}
			}
		}else{
			$this->msg('验证码不能为空');
		}
	}
		//验证码输出
	public function code(){
	 	echo new Vcode();
	}


}

?>